Read Project
curl --request GET \
--url https://partner.peaka.studio/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "SksnYuxH",
"name": "Anapp23334",
"description": null,
"domain": "anapp2-rfto",
"webhookBaseUrl": "https://anapp2-rfto--test.api.peaka.host",
"createdAt": "2023-08-21T11:09:04.699714310Z",
"workspaceId": "d7f282d2-b392-4b5c-8cea-05f7523df2d2"
}Organization -- Projects
Read Project
Returns details of a specified Project.
A Project is a unit of work where queries, data tables, and semantic catalogs are managed. Projects live inside Workspaces.
GET
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
Read Project

Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Path Parameters
ID of the Organization
ID of the Workspace
ID of the Project
Response
200 - application/json
Successful operation
Project
Project ID
Project name
Descriptive text about the project
Domain of the project
Webhook base URL
The date and time the project was created
The owner of the project
The workspace to which the project belongs